Spreadsheet Cloud API: postMerge
Merge cells in the worksheet.
Quick Start
- Base URL:
http://api.aspose.cloud/v3.0 - Authentication Method:
JWT (OAuth2, application)Token URL:https://api.aspose.cloud/connect/token - Example
Interface Details
Endpoint
POST http://api.aspose.cloud/v3.0/cells/merge
Function Description
PageTitle: Merge cells in the worksheet.PageDescription: Aspose.Cells Cloud provides robust support for merging cells in the worksheet, a process known for its intricacy.HeadTitle: Merge cells in the worksheet.HeadSummary: Aspose.Cells Cloud provides robust support for merging cells in the worksheet, a process known for its intricacy.HeadContent: Aspose.Cells Cloud provides REST API which supports merging cells in the worksheet and offers SDKs for multiple programming languages. These programming languages are include of Net, Java, Go, NodeJS, Python, and so on.
The request parameters of postMerge API are:
| Parameter Name | Type | Path/Query String/HTTPBody | Description | | :- | :- | :- |:- | |File|File|FormData|File to upload| |outFormat|String|Query|The output data file format.(CSV/XLS/HTML/MHTML/ODS/PDF/XML/TXT/TIFF/XLSB/XLSM/XLSX/XLTM/XLTX/XPS/PNG/JPG/JPEG/GIF/EMF/BMP/MD[Markdown]/Numbers)| |mergeToOneSheet|Boolean|Query|Merge all workbooks into a sheet.| |password|String|Query|The password needed to open an Excel file.| |checkExcelRestriction|Boolean|Query|Whether check restriction of excel file when user modify cells related objects.| |region|String|Query|The regional settings for workbook.|
Response Description
{
"Name": "FileInfo",
"Description": [
"Represents file information."
],
"Type": "Class",
"IsAbstract": false,
"Properties": [
{
"Name": "Filename",
"Description": [
"Represents filename. "
],
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "String",
"Name": "string"
}
},
{
"Name": "FileSize",
"Description": [
"Represents file size."
],
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "Long",
"Name": "long"
}
},
{
"Name": "FileContent",
"Description": [
"Represents file content, byte to base64 string."
],
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "String",
"Name": "string"
}
}
]
}
OpenAPI Specification
The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.